Bug 455083 - Review Request: xfmpc - A MPD client for the Xfce desktop environment
Review Request: xfmpc - A MPD client for the Xfce desktop environment
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 16:55 EDT by Christoph Wickert
Modified: 2008-07-15 08:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-14 17:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-07-11 16:55:07 EDT
Spec URL: http://cwickert.fedorapeople.org/review/xfmpc.spec
SRPM URL: http://cwickert.fedorapeople.org/review/xfmpc-0.0.6-1.fc10.src.rpm
Description:
Xfmpc is a a graphical GTK+ MPD client for the Xfce desktop environment.
It is focusing on low footprint and easy usage.

To connect to a remote machine set the environment variables MPD_HOST 
and MPD_PORT as described in the mpc(1) manpage.
Comment 1 Kevin Fenzi 2008-07-14 15:09:23 EDT
I would be happy to review this. Look for a full review in a few here...
Comment 2 Kevin Fenzi 2008-07-14 15:15:59 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License(GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
1d2edd3cfb950d61dc1fac8229ac828b  xfmpc-0.0.6.tar.bz2
1d2edd3cfb950d61dc1fac8229ac828b  xfmpc-0.0.6.tar.bz2.orig
OK - BuildRequires correct
OK - Spec handles locales/find_lang
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have sane scriptlets.
OK - Should have subpackages require base package with fully versioned depend.
OK - Should have dist tag
OK - Should package latest version

Issues:

None.

I don't see any issues here, so this package is APPROVED.

Comment 3 Christoph Wickert 2008-07-14 15:23:15 EDT
New Package CVS Request
=======================
Package Name: xfmpc
Short Description: A MPD client for the Xfce desktop environment
Owners: cwickert
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-07-14 15:40:13 EDT
cvs done.
Comment 5 Fedora Update System 2008-07-14 17:38:41 EDT
xfmpc-0.0.6-1.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-07-14 17:39:29 EDT
xfmpc-0.0.6-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Christoph Wickert 2008-07-14 17:56:52 EDT
Thanks for reviewing this so fast. Closing.
Comment 8 Fedora Update System 2008-07-15 08:15:36 EDT
xfmpc-0.0.6-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-07-15 08:20:33 EDT
xfmpc-0.0.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.